# Uses of Interface
javax.swing.event.HyperlinkListener

Packages that use HyperlinkListener
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of HyperlinkListener in javax.swing

Methods in javax.swing that return HyperlinkListener
Modifier and Type
Method
Description
`HyperlinkListener[]`
JEditorPane.`getHyperlinkListeners()`
Returns an array of all the `HyperLinkListener`s added to this JEditorPane with addHyperlinkListener().
Methods in javax.swing with parameters of type HyperlinkListener
Modifier and Type
Method
Description
`void`
JEditorPane.`addHyperlinkListener​(HyperlinkListener listener)`
Adds a hyperlink listener for notification of any changes, for example when a link is selected and entered.
`void`
JEditorPane.`removeHyperlinkListener​(HyperlinkListener listener)`
Removes a hyperlink listener.